Name:           vmpk
Version:        0.6.2a
Release:        %mkrel 1
Summary:        Virtual MIDI Piano Keyboard
Group:          Sound
License:        GPLv3+
URL:            http://vmpk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#-----------------------------------------------------------------
BuildRequires: cmake
BuildRequires: drumstick-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel 
BuildRequires: %{_lib}qt5svg-devel 
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel

BuildRequires: libxcb-devel 
BuildRequires: qtbase5-common-devel
BuildRequires: qttools5
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: qthelp5-devel
BuildRequires: libpthread-stubs

#-----------------------------------------------------------------
Requires: fluid-soundfont-gm
Requires: drumstick

#for now add explict qt5 requires
Requires:%{_lib}qt5core5
Requires:%{_lib}qt5dbus5 
Requires:%{_lib}qt5gui5 
Requires:%{_lib}qt5network5 
Requires:%{_lib}qt5widgets5
Requires:%{_lib}qtsvg5
Requires:%{_lib}qtx11extras5
#-----------------------------------------------------------------

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%setup -q

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%doc NEWS README ChangeLog AUTHORS TODO COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Sep 06 2017 adrianomorselli >adrianomorselli> 0.6.2a-1uplos2017
- update
- add missing BR qthelp5-devel and libpthread-stubs
